import "@/styles/globals.css";
import {PrivyProvider} from '@privy-io/react-auth';
import {toSolanaWalletConnectors} from '@privy-io/react-auth/solana';

export default function App({ Component, pageProps }) {
  const solanaConnectors = toSolanaWalletConnectors({
    shouldAutoConnect: true,
});
  return (
    <PrivyProvider
    appId={process.env.NEXT_PUBLIC_PRIVY_APP_ID || ""}
    config={{
      appearance: {
          theme: 'dark',
          landingHeader: 'Onchain AI at your fingertips', 
          accentColor: '',
          showWalletLoginFirst: true, 
          logo: '/images/logooo.png',
          walletChainType: 'solana-only',
      },
      externalWallets: {
          solana: {
              connectors: solanaConnectors
          }
      },
      embeddedWallets: { 
        solana: { 
          createOnLogin: 'all-users',
        }, 
      }, 
      solanaClusters: [
          {
              name: 'mainnet-beta',
              rpcUrl: 'https://api.mainnet-beta.solana.com',
          }
      ]
  }}  >
    <Component {...pageProps} />
  </PrivyProvider>
  );
}