export * from "./gibwork"
export * from "./jupiter"
export * from "./solana"
export * from "./agent"
export * from "./pumpfun"
export * from "./rugcheck"
export * from "./tiplink"
export * from "./sns"
export * from "./helius"

import {
  SolanaBalanceTool,
  SolanaBalanceOtherTool,
  SolanaTransferTool,
  SolanaTradeTool,
  SolanaGetWalletAddressTool,
  SolanaPumpfunTokenLaunchTool,
  SolanaCreateImageTool,
  SolanaTPSCalculatorTool,
  SolanaStakeTool,
  SolanaFetchPriceTool,
  SolanaCreateGibworkTask,
  SolanaTipLinkTool,
  SolanaCloseEmptyTokenAccounts,
  SolanaFetchTokenReportSummaryTool,
  SolanaFetchTokenDetailedReportTool,
  SolanaParseTransactionHeliusTool,
  SolanaGetAllAssetsByOwner
} from "./index"

export function createSolanaTools(solanaKit) {
  return [
    new SolanaBalanceTool(solanaKit),
    new SolanaBalanceOtherTool(solanaKit),
    new SolanaTransferTool(solanaKit),
    new SolanaTradeTool(solanaKit),
    new SolanaGetWalletAddressTool(solanaKit),
    new SolanaPumpfunTokenLaunchTool(solanaKit),
    new SolanaCreateImageTool(solanaKit),
    new SolanaTPSCalculatorTool(solanaKit),
    new SolanaStakeTool(solanaKit),
    new SolanaFetchPriceTool(solanaKit),
    new SolanaCreateGibworkTask(solanaKit),
    new SolanaTipLinkTool(solanaKit),
    new SolanaCloseEmptyTokenAccounts(solanaKit),
    new SolanaFetchTokenReportSummaryTool(solanaKit),
    new SolanaFetchTokenDetailedReportTool(solanaKit),
    new SolanaParseTransactionHeliusTool(solanaKit),
    new SolanaGetAllAssetsByOwner(solanaKit),
  ]
}
