import axios from 'axios';

export const queryBirdeye = async (endpoint, params) => {
  //console.log(process.env.BIRDEYE_API_KEY);
  
    const url = `https://public-api.birdeye.so/${endpoint}`;

    try {
        const response = await axios.get(url, {
            headers: {
                "X-API-KEY": process.env.BIRDEYE_API_KEY || "",
                accept: "application/json",
                "x-chain": "solana",
            },
            params: params,
        });

        //console.log(response.data);
        
        if (!response.data.success) {
            throw new Error();
        }

        return response.data.data;
    } catch (error) {
        return `API Error fetching data. Be sure the input is valid or exists`;
    }
};
