import { tool } from 'ai';
import { z } from "zod";
import axios from 'axios';

export const getTokenMetadata = async (address) => {
    //console.log(`getTokenMetadata called ${address}`);
    
    const url = `https://pro-api.solscan.io/v2.0/token/meta?address=${address}`;

  const options = {
    method: 'GET',
    url: url,
    headers: {
      'token': process.env.SOLSCAN_API_TOKEN, 
    },
  };

  try {
    const response = await axios.request(options);
    //console.log(response.data);
    return response.data;
  } catch (error) {
    return null
  }
};

// export const getTokenMetadataTool = tool(
//   async (address) => {
//     return getTokenMetadata(address);
//   },
//   {
//     name: "getTokenMetadata",
//     description: "Get solana token metadata by address",
//     schema: z.string().describe("Token address"),
//   }
// );

// async function main(){
//     const data = await getTokenMetadata("7xXL8yXYotTvdrCQtayBH8cS8VyMRNw3a1x8kgf8pump")
//     //console.log(data);
// }
// main()